{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Новости</h2>
    <p>Комментарии</p>
    <hr>
    <table class="table">
        <thead>
        <tr>
            <th>id</th>
            <th>Комментарий</th>
            <th>Запись</th>
            <th>Пользователь</th>
            <th>Дата</th>
            <th>Действие</th>
        </tr>
        </thead>
        {% for comment in comments %}
            <tr>
                <td>
                    {{ comment.id }}
                </td>
                <td>
                    {{ comment.text }}
                </td>
                <td>
                    <a href="{{ project_root }}/news/{{ comment.post.category.query }}/{{ comment.post.id }}">{{ comment.post.title }}</a>
                </td>
                <td>
                    {{ comment.user.firstname }} {{ comment.user.lastname }}
                </td>
                <td>
                    {{ comment.date }}
                </td>
                <td>
                    <a type="button" href="{{ project_root }}/admin/news/comments/edit/{{ comment.id }}" class="btn btn-success">Изменить</a>
                    <a type="button" href="{{ project_root }}/admin/news/comments/delete/{{ comment.id }}" class="btn btn-danger">Удалить</a>
                </td>
            </tr>
        {% endfor %}
    </table>
    <hr>
{% endblock %}